## org.exist.xquery.util
Class DocUtils

    java.lang.Object
      org.exist.xquery.util.DocUtils

public class DocUtils
extends java.lang.Object

Utilities for XPath doc related functions

Author:
  wolf, Pierrick Brihaye<pierrick.brihaye@free.fr>

Constructor Summary
`DocUtils()`

Method Summary
`static Sequence` `getDocument(XQueryContext context, java.lang.String path)`
`static boolean` `isDocumentAvailable(XQueryContext context, java.lang.String path)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocUtils

    public DocUtils()

Method Detail

### getDocument

    public static Sequence getDocument(XQueryContext context,
                                       java.lang.String path)
                                throws XPathException,
                                       PermissionDeniedException

  Throws:
    `XPathException`
    `PermissionDeniedException`

### isDocumentAvailable

    public static boolean isDocumentAvailable(XQueryContext context,
                                              java.lang.String path)
                                       throws XPathException

  Throws:
    `XPathException`

Copyright (C) Wolfgang Meier. All rights reserved.